Bug 1468285 - [CFME4.5]Configuring Multi-Region, Single LDAP Authentication, Synchronized RBAC/Resource. [NEEDINFO]
[CFME4.5]Configuring Multi-Region, Single LDAP Authentication, Synchronized R...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
urgent Severity urgent
: GA
: 5.8.1
Assigned To: Joe Vlcek
Matt Pusateri
auth:miqldap
: ZStream
Depends On: 1467529
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 10:56 EDT by Satoe Imaishi
Modified: 2017-08-02 13:33 EDT (History)
14 users (show)

See Also:
Fixed In Version: 5.8.1.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1467529
Environment:
Last Closed: 2017-08-02 13:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
jvlcek: needinfo? (sacpatil)


Attachments (Terms of Use)

  None (edit)
Comment 5 Neha Chugh 2017-07-13 08:05:11 EDT
Hello Joe,

After applying the above patch, The catalog items are not visible to user in Global UI but it is visible in remote appliances.

Can you please quickly check the patch again and see if that is the impacting the visibility. If so, kindly rectify it and provide the latest patch.

Regards,
Neha Chugh
Comment 6 Joe Vlcek 2017-07-13 11:07:41 EDT
(In reply to Neha Chugh from comment #5)
> Hello Joe,
> 
> After applying the above patch, The catalog items are not visible to user in
> Global UI but it is visible in remote appliances.
> 
> Can you please quickly check the patch again and see if that is the
> impacting the visibility. If so, kindly rectify it and provide the latest
> patch.
> 
> Regards,
> Neha Chugh

Hello Neha,

Your comment seems like it might be for a different issue. This BZ was for a failure to login to the global region, where the hot fix was verified. Are you sure you are commenting on the correct BZ?
Comment 7 Matt Pusateri 2017-07-13 15:23:04 EDT
Verified in 5.8.1.2 (5.8.1.2.20170712143358_461cde4)
Comment 8 tachoi 2017-07-13 19:42:43 EDT
Hi Joe

Neha's update is valid for this case.

Customer has applied hotfix on global-ui appliance(LDAP client) then now they are able to login with LDAP authentication.

However, end user is not able to see catalog item from global ui which is available to see from regional ui. And they are visible if they are using local database login.

User can login to global-ui and manage their VMs but can't order new service from the catalog as they can't see any catalog items which are presented to them

Before they applied the patch user was able to see presented the Catalog Items, but now it is not.

If they change the authentication from LDAP to Database on global-UI cloudforms Appliances and created a test user and presented a catalog item and logged in with that user and they are able to see the presented Catalog Item.

Regards,
Taeho
Comment 19 Joe Vlcek 2017-07-14 09:41:54 EDT
Moving back to on-dev as the fix does enable the login with LDAP authentication

However, the end user is no longer able to see catalog item from global ui/
Comment 20 Joe Vlcek 2017-07-14 09:57:08 EDT
(In reply to Joe Vlcek from comment #19)
> Moving back to on-dev as the fix does enable the login with LDAP
> authentication
> 
> However, the end user is no longer able to see catalog item from global ui/

It turns out there is already a different BZ that describes the inability to
see catalog items in the global region:
https://bugzilla.redhat.com/show_bug.cgi?id=1464610

Let's track the new "user is not able to see catalog item from global ui"
in BZ:  https://bugzilla.redhat.com/show_bug.cgi?id=1464610

And move this BZ for the `inability to login to global region` back to verified.

JoeV
Comment 26 errata-xmlrpc 2017-08-02 13:33:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.